Create a BIN rule
POST
Blocks card payments with card numbers that start with this BIN.
apiKeyheader
AuthorizationBasic <token>HTTP Basic authentication with your API key as the username and an empty password.
merchant_id*stringThe ID of the merchant, or self for the merchant of your API key.
project_id*stringThe ID of the project.
application/json- body
Blocks cards by their BIN.
bin*stringThe first 2 to 6 digits of the card number.
Length
2 <= length <= 6The rule is created.
application/json- response
Blocks cards by their BIN.
rule_id?stringThe ID of the rule.
bin*stringThe first 2 to 6 digits of the card number.
Length
2 <= length <= 6curl -X POST 'https://api.example.com/v1/merchants/b8a1c2d4-1234-4c5d-9e8f-0123456789ab/projects/c5078bef-f741-4f26-a13f-26e7916bb00c/fraud-prevention/rules/bins/' \ --user "$API_KEY:" \ -H 'Content-Type: application/json' \ -d '{ "bin": "378282"}'{ "rule_id": "string", "bin": "string"}